<template>
   <q-card square bordered flat class="q-pa-xl">
     <object :type="type"  :data="data" :name="name" :width="width" :height="height" />
   </q-card>
</template>

<script>
export default {
  name: "MediaViewer",
  props:{
     type: {
       type: String
     },
    data:{
       type: undefined
    },
    name:{
       type: String
    },
    width:{
       type: Number
    },
    height:{
      type: Number
    }
  }
}
</script>

<style scoped>

</style>
